import Vue from 'vue';
export * from './hongqiTable';
export * from './imageCropper';
export * from './fastQuerySearch';
export * from './toggle-button';
export * from './transform';
export * from './organization-chart';
interface Options  {
    hongqiTable:{
        index: boolean,
		selection: boolean,
		exportExcel: boolean,
		page: boolean,
		pageSizeOpts: number[],
		toolbar: boolean,
		size: string,
		headerTool: boolean,
		height: boolean,
		maxHeight:boolean,
		subtotal: boolean,
		stripe: boolean,
		border: boolean,
		showHeader: boolean,
		width: string,
		disabledHover: boolean,
		noDataText: string,
		allSortAble:boolean,
		draggable:boolean,
		tooltipTheme:string,
		rowKey:boolean
    }
}

declare const pagination :{
    install: (
        Vue: Vue,
        options: Options
    ) => void;
}

export default pagination;

