import { PluginObject } from 'vue';
import { AdvanceSearch, FastQuerySearch } from './components/fastQuerySearch';
import { HongqiTable } from './components/hongqiTable';
import { ImageCropper } from './components/imageCropper';
import { OrganizationChart } from './components/organization-chart';
import { ToogleButton } from './components/toggle-button';
import { Transform } from './components/transform';
import { HongqiGrid } from './components/hopngqiGrid'
export * from './components';
interface HongqiComponents extends PluginObject<any> {
    FastQuerySearch: FastQuerySearch
    AdvanceSearch: AdvanceSearch
    HongqiTable: HongqiTable
    OrganizationChart: OrganizationChart
    ImageCropper: ImageCropper
    ToogleButton: ToogleButton
    Transform: Transform
    HongqiGrid: HongqiGrid
}


declare const hongqiComponents: HongqiComponents;
export default hongqiComponents;
export as namespace HongqiComponents;

