module.exports = {
	root: true,
	env: {
		node: true
	},
	extends: [ 'plugin:vue/essential', '@vue/prettier' ],
	rules: {
		'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
		'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
		'prettier/prettier': [
			'error',
			{
				tabWidth: 4,
				useTabs: true,
				semi: true,
				singleQuote: true,
				trailingComma: 'none',
				bracketSpacing: true,
				jsxBracketSameLine: true,
				printWidth: 200
			}
		]
	},
	parserOptions: {
		parser: 'babel-eslint'
	}
};
