import HongqiTable from './src/hongqiTable';
import BtnInTable from './src/btnInTable';
import DivideLine from './src/divideLine';
const defualtOptions = {
    index: true,
    selection: false,
    exportExcel: false,
    page: true,
    pageSizeOpts: [10, 20, 50, 100],
    toolbar: true,
    size: 'default',
    headerTool: true,
    height: null,
    maxHeight:null,
    subtotal: null,
    stripe: false,
    border: true,
    showHeader: true,
    width: 'auto',
    disabledHover: false,
    noDataText: '暂无数据',
    allSortAble:true,
    draggable:false,
    tooltipTheme:'light',
    rowKey:false
};
HongqiTable.install = (Vue,opts= {})=>{
    Vue.prototype.$HqComponents  = Object.assign({},{hongqiTable:defualtOptions},opts)
    Vue.component(HongqiTable.name,HongqiTable)
    Vue.component(BtnInTable.name,BtnInTable)
    Vue.component(DivideLine.name,DivideLine)
}
export { BtnInTable, DivideLine}
export default HongqiTable;